Subject: Re: git mergetool ignores configured command line

From: David Aguilar <[email-masked]>
Date: Sun, 23 Oct 2011 03:35:01 -0700

On Sun, Oct 23, 2011 at 02:52:19AM -0700, Junio C Hamano wrote:
> Andreas Schwab <[email-masked]> writes:
> 
> > diffuse is already a predefined merge tool, so mergetool.diffuse.cmd is
> > ignored.  Try using a different name.
> 
> I wonder if we can improve this, though.
> 
> It is nice that we give canned definition of argument order to so many
> obscure tools, but instead of ignoring mergetool.<tool>.cmd when the user
> told us to use <tool>, couldn't we simply ignore what we have internally
> as canned definition?
> 
> Even if such a change were too intrusive (I didn't check), could we have
> a decency to at least warn that we are ignoring the configuration?

I agree.  Ideally, we should honor their configuration.
I'll see if doing so is not too intrusive.
-- 
					David